Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.blojsom.util
Interface BlojsomMetaDataConstants

All Known Implementing Classes:
  TrackbackPlugin

public interface BlojsomMetaDataConstants

BlojsomMetaDataConstants

Since:
  blojsom 3.0
Version:
  $Id: BlojsomMetaDataConstants.java,v 1.2 2006/03/24 23:47:43 czarneckid Exp $
Author:
  David Czarnecki

Field Summary
`static java.lang.String` | `BLOG_ENTRY_METADATA_AUTHOR` Entry meta-data key for poster
`static java.lang.String` | `BLOG_ENTRY_METADATA_AUTHOR_EXT` Extended entry meta-data key for poster Used to store private meta-data so that the default templates wont render it, like an email address
`static java.lang.String` | `BLOG_ENTRY_METADATA_TIMESTAMP` Entry meta-data key for entry time
`static java.lang.String` | `BLOG_METADATA_COMMENTS_DISABLED` Entry meta-data key for disabling comments
`static java.lang.String` | `BLOG_METADATA_HEADER` Entry meta-data file feader
`static java.lang.String` | `BLOG_METADATA_PINGBACKS_DISABLED` Entry meta-data key for disabling pingbacks
`static java.lang.String` | `BLOG_METADATA_TRACKBACKS_DISABLED` Entry meta-data key for disabling trackbacks
`static java.lang.String` | `DRAFT_STATUS` Entry meta-data key indicating "draft" status
`static java.lang.String` | `NEW_STATUS` Entry meta-data key indicating "new" status
`static java.lang.String` | `PUBLISHED_STATUS` Entry meta-data key indicating "published" status
`static java.lang.String` | `SOURCE_ATTRIBUTE` Entry attribute for file()

Field Detail

### BLOG_ENTRY_METADATA_AUTHOR

    public static final java.lang.String BLOG_ENTRY_METADATA_AUTHOR

  Entry meta-data key for poster

  See Also:
    Constant Field Values

### BLOG_ENTRY_METADATA_AUTHOR_EXT

    public static final java.lang.String BLOG_ENTRY_METADATA_AUTHOR_EXT

  Extended entry meta-data key for poster Used to store private meta-data so that the default templates wont render it, like an email address

  See Also:
    Constant Field Values

### BLOG_METADATA_HEADER

    public static final java.lang.String BLOG_METADATA_HEADER

  Entry meta-data file feader

  See Also:
    Constant Field Values

### SOURCE_ATTRIBUTE

    public static final java.lang.String SOURCE_ATTRIBUTE

  Entry attribute for file()

  See Also:
    Constant Field Values

### BLOG_ENTRY_METADATA_TIMESTAMP

    public static final java.lang.String BLOG_ENTRY_METADATA_TIMESTAMP

  Entry meta-data key for entry time

  See Also:
    Constant Field Values

### BLOG_METADATA_COMMENTS_DISABLED

    public static final java.lang.String BLOG_METADATA_COMMENTS_DISABLED

  Entry meta-data key for disabling comments

  See Also:
    Constant Field Values

### BLOG_METADATA_TRACKBACKS_DISABLED

    public static final java.lang.String BLOG_METADATA_TRACKBACKS_DISABLED

  Entry meta-data key for disabling trackbacks

  See Also:
    Constant Field Values

### BLOG_METADATA_PINGBACKS_DISABLED

    public static final java.lang.String BLOG_METADATA_PINGBACKS_DISABLED

  Entry meta-data key for disabling pingbacks

  See Also:
    Constant Field Values

### PUBLISHED_STATUS

    public static final java.lang.String PUBLISHED_STATUS

  Entry meta-data key indicating "published" status

  See Also:
    Constant Field Values

### DRAFT_STATUS

    public static final java.lang.String DRAFT_STATUS

  Entry meta-data key indicating "draft" status

  See Also:
    Constant Field Values

### NEW_STATUS

    public static final java.lang.String NEW_STATUS

  Entry meta-data key indicating "new" status

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD